[patch] Add "install-pdf" target to makefiles.

Joseph S. Myers joseph@codesourcery.com
Tue Feb 27 13:03:00 GMT 2007


On Tue, 27 Feb 2007, Paolo Bonzini wrote:

> Foreword: I know this is asking a lot more work than this.  Would you have
> time to investigate instead switching to automake 1.10 (should be no big deal)
> and autoconf 2.61?  This would provide the same effect that you have here.  In
> addition, we wouldn't add another --with-pdfdir option that is there only to
> be deprecated when we switch to the newest autoconf.

The gcc/ directory doesn't use automake, so all the copied rules would 
still be needed; it's only the configure option and dummy rules in 
automake directories that could be avoided.

The autoconf/automake upgrade needs coordinating across GCC, GDB, 
binutils, newlib and probably other projects in src.  This patch doesn't 
(though the toplevel parts do need applying to both repositories at the 
same time); install-pdf support can be added to GCC and GDB (neither of 
which use automake) independently of the other projects.

-- 
Joseph S. Myers
joseph@codesourcery.com



More information about the Java mailing list